globjects::Singleton< T > Class Template Reference

`#include <globjects/include/globjects/base/Singleton.h>`

## Static Public Member Functions

static T * | instance ()

## Protected Member Functions

| Singleton ()
virtual | ~Singleton ()

## Static Protected Attributes

static T * | s_instance

## Constructor & Destructor Documentation

## Singleton()

template<class T >

globjects::Singleton< T >::Singleton | ( |  | ) |

explicit protected

## ~Singleton()

template<class T >

virtual globjects::Singleton< T >::~Singleton | ( |  | ) |

protected virtual

## Member Function Documentation

## instance()

template<class T >

static T* globjects::Singleton< T >::instance | ( |  | ) |

static

## Member Data Documentation

## s_instance

template<class T >

T* globjects::Singleton< T >::s_instance

static protected

The documentation for this class was generated from the following file:

- Singleton.h